flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From arpit agarwal <agarwala.ar...@gmail.com>
Subject Re: AW: AW: Maven build failure issue with Flexmojo 6.x
Date Tue, 24 Jun 2014 07:15:19 GMT
Hi Chrish,

The group id for spark and sparkSkin arttifact is "com.adobe.flex.framework".
Moreover, We are able to resolve one Error (below) by removing
[HostComponent] metadata and adding a hostComponent property (as we do for
AS3 skins).  It looks like when compiler parse this metadata and create the
property hostComponent its give it  a return type Object which is not
correct. why is compiler parsing of skin metaData is not correct?

[ERROR]
/mnt/extra/var/local/snoopy/work/platform-master/
kiwikframework/src/main/flex/com/guavus/framework/widgets/
classes/TableStateWidgetSkin.mxml:[-1,-1]
Implicit coercion of a value of type
com.guavus.framework.widgets.classes:TableStateWidget to an unrelated type
Object.

This error is not easily replicable but reproducible on few systems with
fixed set of repro  steps. It will be hard to give a specific repro setup.
Here is the details of setup.

Apache Maven 3.0.4 (r1232337; 2012-01-17 14:14:56+0530)
Maven home: /usr/local/apache-maven
Java version: 1.6.0_51, vendor: Apple Inc.
Java home: /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
Default locale: en_US, platform encoding: MacRoman
OS name: "mac os x", version: "10.7.5", arch: "x86_64", family: "mac"
Apache Flex: 4.10 ( mavenized)

<flex.version>4.10.0.20130801</flex.version>
<flexmojos.version>6.0.1</flexmojos.version>
<flash.player.version>11.8.0</flash.player.version>

<dependency>
<groupId>com.adobe.flex</groupId>
<artifactId>compiler</artifactId>
 <version>${flex.version}</version>
<type>pom</type>
</dependency>


Alex,
 can it be complier issue? do you know how the Metadata parsing is done or
any code block u can point me to where i can see MetaData treatment in
compiler

Regards,
Arpit


On Mon, Jun 23, 2014 at 10:04 PM, arpit agarwal <agarwala.arpit@gmail.com>
wrote:

> Hi Crish,
>
> We were using flexmojo 6.0.1 and  mavenized the Apache 4.10 SDK.  But we
> were getting 2 strange error ( 1 at time ) randomly as posted by Jitendra
> in his initial mail.
> should we migrate to 7.0.1 or those error can be solved in any other
> possible way.  We can remove those error by turning off strict compiler
> argument but doesn't sound like a good approach.
>
> Regards,
> Arpit
>
>
> On Mon, Jun 23, 2014 at 5:38 PM, jiks@afg <kumawat.itbhu@gmail.com> wrote:
>
>> Thanks
>>
>> I willl find that artifacts and update ...
>>
>>
>>
>>
>> --
>> View this message in context:
>> http://apache-flex-users.2333346.n4.nabble.com/Maven-build-failure-issue-with-Flexmojo-6-x-tp6925p6934.html
>> Sent from the Apache Flex Users mailing list archive at Nabble.com.
>>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message